-- Очистка кластеров после сбоя
-- Скрипт производит очистку кластеров, работающих на портах 5998 и 5999 соответственно
--
-- Подключаемся к основному кластеру
\connect - - - 5998
--
-- Удаляем базу данных mtest
DROP DATABASE IF EXISTS mtest;
--
-- Удаляем табличное пространство
DROP TABLESPACE IF EXISTS dbspace;
--
-- Удаляем роли
DROP USER IF EXISTS u_0_00;
DROP USER IF EXISTS u2_0_00;
DROP USER IF EXISTS u_0_01;
DROP USER IF EXISTS u_1_01;
DROP USER IF EXISTS u_0_10;
DROP USER IF EXISTS u_1_10;
DROP USER IF EXISTS u_1_11;
DROP USER IF EXISTS u_2_11;
DROP USER IF EXISTS dbsa;
--
--
-- Подключаемся к внешнему кластеру
\connect - - - 5999
--
-- Удаляем базу данных mtest
DROP DATABASE IF EXISTS mtest;
--
-- Удаляем табличное пространство
DROP TABLESPACE IF EXISTS dbspace;
--
-- Удаляем роли
DROP USER IF EXISTS u_0_00;
DROP USER IF EXISTS u2_0_00;
DROP USER IF EXISTS u_0_01;
DROP USER IF EXISTS u_1_01;
DROP USER IF EXISTS u_0_10;
DROP USER IF EXISTS u_1_10;
DROP USER IF EXISTS u_1_11;
DROP USER IF EXISTS u_2_11;
DROP USER IF EXISTS dbsa;
--
-- Закончено
--