-- RBT-TEST - CLUSTER
-- Проверка сохранения атрибутов безопасности при выполнении команды CLUSTER
--

\i 'support/init.sql'

-- Создаем таблицу от имени пользователя u_0_00 и заполняем ее
\connect - u_0_00
\i 'support/create-test-table.sql'
\i 'support/init-test-table.sql'
--
-- Проверяем корректность заполнения таблицы
\i 'support/select-test-table.sql'
--
-- Выполняем кластеризацию таблицы
\connect - u_0_00
CLUSTER "Проверка_pkey" ON "Проверка";
--
-- Проверяем, что и данные и все права на таблицу сохранились
\i 'support/select-test-table.sql'
--
\i 'support/done.sql'
