-- RBT-TEST - Встроенные функции для типа MACLABEL
-- Проверка работы встроенных функций для типа MACLABEL
--

\i 'support/init.sql'
--
-- Проверка вызова функции session_maclabel
--
-- Поключаемся как пользователь u_0_00 с меткой {0,0}
\connect - u_0_00
--
-- Проверяем метку сессии, ожидается {0,0}
SELECT session_maclabel;
--
-- Поключаемся как пользователь u_1_10 с меткой {1,2}
\connect - u_1_10
--
-- Проверяем метку сессии, ожидается {1,2}
SELECT session_maclabel;
--
-- Поключаемся как пользователь dbsa с атрибутам иигнорирования МПРД и возможностью менят ьметку сессии
\connect - dbsa
--
-- Проверяем метку сессии, ожидается {2,3}
SELECT session_maclabel;
--
-- Меняем метку сессии на {0,0}
SET ac_session_maclabel = '{0, 0}';
--
-- Проверяем метку сессии, ожидается {0,0}
SELECT session_maclabel;
--
-- Меняем метку сессии на {0,0}
SET ac_session_maclabel = '{1, 3}';
--
-- Проверяем метку сессии, ожидается {1,3}
SELECT session_maclabel;
--
-- Проверка функции maclabel
--
-- Собираем метку из уровня 1 и категории 2
-- Ожидается метка {1,2}
SELECT maclabel(1, 2);
--
-- Проверка функции level
--
-- Извлекаем уровень из метки {2, 3}
-- Ожидается уровень 2
SELECT level('{2, 3}');
--
-- Проверка функции category
--
-- Извлекаем вектор категорий из метки {2, 3}
-- Ожидается вектор категорий 3
SELECT category('{2, 3}');
--
\i 'support/done.sql'
