-- RBT-TEST - VACUUM
-- Проверка сохранения атрибутов безопасности при выполнении команды VACUUM
--

\i 'support/init.sql'
--
-- Создаем таблицу от имени пользователя u_0_00 и заполняем ее
\connect - u_0_00
\i 'support/create-test-table.sql'
\i 'support/init-test-table.sql'
--
-- Проверяем корректность заполнения таблицы
\i 'support/select-test-table.sql'
--
-- Выполняем команду VACUUM
\connect - u_0_00
VACUUM FULL ANALYZE "Проверка";
--
-- Проверяем, что и данные и все права на таблицу сохранились
\i 'support/select-test-table.sql'
--
--
\i 'support/done.sql'
